Ticket #171 (closed task: fixed)

Opened 5 years ago

Last modified 4 years ago

programmatic remote configuration

Reported by: jesus Assigned to: jesus
Priority: major Milestone: Intrigue
Component: noit-core Severity: annoying
Keywords: Cc:

Description

The telnet console is awesome, but configuring the checks over something programmatic, safe, secure and remote.

Perhaps something REST-ish.

Change History

09/11/09 06:06:42 changed by jesus

(In [823]) support HTTP POST... and use wicked black magic to supply an HTTPS interface over the existing console while maintaining backward compatibility, refs #171

09/11/09 15:05:41 changed by jesus

(In [824]) remove some debugging, register with the eventer for sane output in the capability set, refs #171

09/15/09 05:37:45 changed by jesus

(In [838]) adding checks, needs a lot of input validation, refs #171

09/16/09 04:19:27 changed by jesus

(In [842]) robust input validation, refs #171

09/16/09 05:01:22 changed by jesus

(In [843]) auto-save on REST add, refs #171

09/16/09 14:59:32 changed by jesus

(In [844]) support check deletes, refs #171

09/16/09 15:08:02 changed by jesus

(In [845]) switch the check add to PUT, makes more sense. refs #171

09/16/09 18:41:59 changed by jesus

(In [847]) allow custom error codes, refs #171

09/18/09 00:23:18 changed by jesus

(In [850]) refs #171, supports inherit flags on config stanzas

09/27/09 03:10:35 changed by jesus

(In [892]) refactor this and expose some of the bits as helpful utility functions, refs #171

10/02/09 13:12:11 changed by jesus

(In [930]) update docs to show filter configuration. refs #39. refs #171

10/02/09 14:20:50 changed by jesus

(In [932]) adding and removing noits to a stratcond via REST, refs #171

10/02/09 14:28:49 changed by jesus

  • component changed from noitd to noit-core.

11/13/09 03:20:24 changed by jesus

  • status changed from new to closed.
  • resolution set to fixed.

Meets the need for now.